# Uses of Class
org.eclipse.nebula.widgets.grid.GridColumn

Packages that use GridColumn
Package
Description
org.eclipse.nebula.jface.gridviewer
org.eclipse.nebula.widgets.grid

## Uses of GridColumn in org.eclipse.nebula.jface.gridviewer

Methods in org.eclipse.nebula.jface.gridviewer that return GridColumn
Modifier and Type
Method
Description
`GridColumn`
GridViewerColumn.`getColumn()`
Returns the underlying column.
Constructors in org.eclipse.nebula.jface.gridviewer with parameters of type GridColumn
Modifier
Constructor
Description
``
`GridViewerColumn(GridTableViewer viewer, GridColumn column)`
``
`GridViewerColumn(GridTreeViewer viewer, GridColumn column)`

## Uses of GridColumn in org.eclipse.nebula.widgets.grid

Methods in org.eclipse.nebula.widgets.grid that return GridColumn
Modifier and Type
Method
Description
`GridColumn`
Grid.`getColumn(int index)`
Returns the column at the given, zero-relative index in the receiver.
`GridColumn`
Grid.`getColumn(Point point)`
Returns the column at the given point in the receiver or null if no such column exists.
`GridColumn[]`
Grid.`getColumns()`
Returns an array of `GridColumn`s which are the columns in the receiver.
`GridColumn[]`
GridColumnGroup.`getColumns()`
Returns the columns within this group.
`GridColumn`
Grid.`getFocusColumn()`
Returns the current column in focus.
`GridColumn`
Grid.`getNextVisibleColumn(GridColumn column)`
Returns the next visible column in the table.
`GridColumn`
Grid.`getPreviousVisibleColumn(GridColumn column)`
Returns the previous visible column in the table.
Methods in org.eclipse.nebula.widgets.grid with parameters of type GridColumn
Modifier and Type
Method
Description
`GridColumn`
Grid.`getNextVisibleColumn(GridColumn column)`
Returns the next visible column in the table.
`GridColumn`
Grid.`getPreviousVisibleColumn(GridColumn column)`
Returns the previous visible column in the table.
`int`
Grid.`indexOf(GridColumn column)`
Searches the receiver's list starting at the first column (index 0) until a column is found that is equal to the argument, and returns the index of that column.
`void`
Grid.`setFocusColumn(GridColumn column)`
Sets the focused column to the given column.
`void`
Grid.`showColumn(GridColumn column)`
Shows the column.